Subject: Re: linux-next: build failure after merge of the usb tree

From: Kishon Vijay Abraham I <[email-masked]>
Date: Wed, 3 Dec 2014 11:27:48 +0530

Greg,

On Tuesday 02 December 2014 11:42 PM, Greg KH wrote:
> On Mon, Dec 01, 2014 at 07:19:23PM +1100, Stephen Rothwell wrote:
>> Hi Greg,
>>
>> After merging the usb tree, today's linux-next build (arm
>> multi_v7_defconfig) failed like this:
>>
>> arch/arm/mach-omap2/twl-common.c:94:21: error: array type has incomplete element type
>>  struct phy_consumer consumers[] = {
>>                      ^
>>
>> Caused by commit dbc98635e0d4 ("phy: remove the old lookup method").
>>
>> I have used the usb tree from next-20141128 for today.
> 
> Ick, Heikki and Kishon, do you want me to just revert this patch?  How
> did you test it?

I've resent the patch "arm: omap3: twl: remove usb phy init data" which is
needed to get rid of this error.

This patch was part of the original series sent by Heikki but I couldn't merge
it since I didn't get Ack from tony since it touched arch/arm/mach-omap2/ file.
And I clearly missed the build failure report from fengguang. Sorry.

Thanks
Kishon